Subject: [SIP] Are CSeq numbers maintained per calls, or per call leg?

From: SIP Mailing Lists <[email-masked]>
Date: Wed, 31 Jan 2001 16:18:34 -0000

> Can someone please clarify whether CSeq numbers are maintained "per call"
> or "per call leg"?  For example if a UA has two call legs (A and B) in
> place with the same Call-Id and differing To and From values (so one call
> with two call legs), could the UA issue requests as follows (all responses
> etc. have been omitted).
> 
> - Request on A, CSeq = 5 ...
> - Request on A, CSeq = 6 ...
> - Request on B, CSeq = 7 ...
> - Request on A, CSeq = 8 ...
> 
> 
> The following sections from RFC2543bis02 appear to imply that CSeq is
> maintained per call, as my example assumes.
> 
> _6.21 CSeq_
> 
> Consecutive requests that differ in request method, headers or body, but
> have the same Call-ID MUST contain strictly monotonically increasing and
> contiguous sequence numbers; sequence numbers do not wrap around".
> 
> _4.2.6 REGISTER_ states "Call-ID: All registrations from a client SHOULD
> use the same Call-ID header value, at least within the same reboot cycle.
> Cseq: Registrations with the same Call-ID MUST have increasing CSeq header
> values. However, the server does not reject out-of-order requests."
> 
> 
> However the following references seem to imply that CSeq is maintained per
> call leg.
> 
> _RFC2543bis02, F Changes Made in Version 00_
> 
> "Cseq is unique within a call leg, not just within a call (Section 6.21)".
> 
> _SIP FAQ answer to "What is the difference between a call leg and a call
> id?"_
> 
> "The CSeq spaces in the two directions of a call leg are independent.
> Within a single direction, the sequence number is incremented for each
> transaction."
> 
> 
> Therefore, the documentation that I have found seems inconsistent.
> 
> Additionally does any implementation require CSeq to increase
> monotonically per call leg i.e. is there an implementation which would
> reject the final request in my example?
> 
> Thanks,
> Paul DS.
> 
> Paul D.Smith
> Voice Networking Group
> Data Connection Ltd
> Tel:   +44 20 8366 1177
> Fax:   +44 20 8367 8501
> Email: [email-masked]
> Web:   http://www.dataconnection.com
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.